## qt6-wayland 6.10.0

=== debian/changelog ===
qt6-wayland (6.10.0-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:00:39 +0000

qt6-wayland (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:11 +1000

qt6-wayland (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-wayland (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 14:13:57 +1000

qt6-wayland (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:33:33 +1000

qt6-wayland (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:36:33 +1000

qt6-wayland (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:29:48 +1000

qt6-wayland (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 08:59:53 +1000

qt6-wayland (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:38:42 +1000

qt6-wayland (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:14:15 +1000

qt6-wayland (6.6.1-0neon) jammy; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update debian/copyright.
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 13:44:16 +1000

=== debian/control ===
Source: qt6-wayland
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdrm-dev,
               libegl1-mesa-dev,
               libfontconfig-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libxcomposite-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-svg-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-wayland.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-wayland
Maintainer: Neon CI <neon@kde.org>

Package: qt6-wayland
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base (>= 6.10.0), ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6waylandeglclienthwintegration6,
        libqt6waylandeglcompositorhwintegration6
Provides: qt6-waylandclient-private-abi (= 6.10.0),
          qt6-waylandcompositor-private-abi (= 6.10.0)
Replaces: libqt6waylandclient6,
          libqt6waylandclient6t64,
          libqt6waylandcompositor6,
          libqt6waylandcompositor6t64,
          libqt6waylandeglclienthwintegration6,
          libqt6waylandeglcompositorhwintegration6,
          libqt6wlshellintegration6,
          libqt6wlshellintegration6t64,
          qml6-module-qtwayland-client-texturesharing,
          qml6-module-qtwayland-compositor
Description: Qt 6 Wayland Client library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Client library.

Package: qt6-wayland-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: libwayland-dev,
         qt6-base-dev,
         qt6-wayland (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-wayland-dev-tools, qt6-wayland-examples, qt6-wayland-private-dev
Description: Qt 6 Wayland - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 and compositor libraries.

Package: qt6-wayland-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-wayland-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-wayland-doc-html
Description: Qt 6 Wayland - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the documentation files for QtWayland client
 and compositor libraries.

Package: libqt6waylandclient6
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6waylandclient6t64
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6waylandcompositor6
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6waylandcompositor6t64
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6wlshellintegration6
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6wlshellintegration6t64
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwayland-compositor
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwayland-client-texturesharing
Architecture: all
Depends: qt6-wayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-wayland-dev-tools
Architecture: all
Depends: qt6-wayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-wayland-private-dev
Architecture: all
Depends: qt6-wayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-wayland-doc-html
Architecture: all
Depends: qt6-wayland-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-wayland-examples
Architecture: all
Depends: qt6-wayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-wayland 6.10.1

=== debian/changelog ===
qt6-wayland (6.10.1-0zneon+24.04+noble+unstable+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 21:48:10 +0000

qt6-wayland (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:05 +1000

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtwayland-everywhere-src-([\d\.]+\d).tar.xz

## qt6-wayland 6.10.2

=== src/imports/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from imports.pro.

if(TARGET Qt::Quick AND TARGET Qt::WaylandCompositor)
    add_subdirectory(compositor-extensions)
endif()
if(QT_FEATURE_opengl AND TARGET Qt::Quick AND TARGET Qt::WaylandClient AND TARGET Qt::WaylandCompositor)
    add_subdirectory(texture-sharing)
    if(QT_FEATURE_wayland_compositor_quick)
        add_subdirectory(texture-sharing-extension)
    endif()
endif()

=== src/imports/compositor-extensions/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from compositor-extensions.pro.

if(QT_FEATURE_wayland_compositor_quick)
    add_subdirectory(xdgshell)
    add_subdirectory(iviapplication)
    add_subdirectory(wlshell)
    add_subdirectory(qtshell)
    add_subdirectory(presentationtime)
endif()

=== tests/manual/texture-sharing/cpp-client/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

include(QtWaylandSetup)
qt_internal_get_wayland_extensions_dir(extensions_dir)

# Generated from cpp-client.pro.

#####################################################################
## cpp-client Binary:
#####################################################################

qt_internal_add_manual_test(cpp-client
    GUI
    SOURCES
        ../../../../src/imports/texture-sharing/texturesharingextension.cpp
        ../../../../src/imports/texture-sharing/texturesharingextension_p.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../src/imports/texture-sharing
    LIBRARIES
        Qt::Gui
        Qt::GuiPrivate
        Qt::OpenGL
        Qt::WaylandClientPrivate
)

qt6_generate_wayland_protocol_client_sources(cpp-client
    PRIVATE_CODE
    FILES
        ${extensions_dir}/qt-texture-sharing-unstable-v1.xml
        ${extensions_dir}/server-buffer-extension.xml
)

#### Keys ignored in scope 1:.:.:cpp-client.pro:<TRUE>:
# INSTALLS = "target"
# target.path = "$$[QT_INSTALL_EXAMPLES]/wayland/texture-sharing/cpp-client"

=== debian/changelog ===
qt6-wayland (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 16:29:22 +0100

qt6-wayland (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files and removal of empty packages.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Feb 2026 23:38:12 +0100

=== debian/control ===
Source: qt6-wayland
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libdrm-dev,
               libegl1-mesa-dev,
               libfontconfig-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libxcomposite-dev,
               libxkbcommon-dev (>= 0.2.0),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-svg-dev (>= 6.10.2~),
               qt6-wayland-dev:native <cross>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git

Package: libqt6waylandcompositor6
Architecture: any
Multi-Arch: same
Provides: qt6-waylandcompositor-private-abi (= 6.10.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor library.

Package: libqt6waylandcompositoriviapplication6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor Ivi Application library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor Ivi Application library.

Package: libqt6waylandcompositorpresentationtime6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor Presentation Time library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor Presentation Time library.

Package: libqt6waylandcompositorwlshell6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor WlShell library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor WlShell library.

Package: libqt6waylandcompositorxdgshell6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor XdgShell library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor XdgShell library.

Package: qml6-module-qtwayland-compositor
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Wayland Compositor modules provide QML types that can be used to
 create custom display servers supporting the Wayland protocol.

Package: qml6-module-qtwayland-client-texturesharing
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Shared Texture Provider QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This module allows Qt Wayland clients to use graphical resources exported
 by the compositor, without allocating any graphics memory in the client.

Package: qt6-wayland
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6waylandeglclienthwintegration6,
        libqt6waylandeglcompositorhwintegration6,
Replaces: libqt6waylandeglclienthwintegration6,
          libqt6waylandeglcompositorhwintegration6,
Description: Qt 6 Wayland platform plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 6 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qt6-wayland-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt6waylandcompositor6 (= ${binary:Version}),
         libqt6waylandcompositoriviapplication6 (= ${binary:Version}),
         libqt6waylandcompositorpresentationtime6 (= ${binary:Version}),
         libqt6waylandcompositorwlshell6 (= ${binary:Version}),
         libqt6waylandcompositorxdgshell6 (= ${binary:Version}),
         libwayland-dev,
         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
         qml6-module-qtwayland-compositor (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Wayland - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 and compositor libraries.

Package: qt6-wayland-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-wayland-dev (= ${binary:Version}), ${misc:Depends},
Breaks: qt6-wayland-dev (<< 6.4.2-4),
Replaces: qt6-wayland-dev (<< 6.4.2-4),
Description: Qt 6 Wayland - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the private header development files for
 QtWayland client and compositor libraries.
 .
 Use at your own risk.

Package: qt6-wayland-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 wayland documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 wayland.

Package: qt6-wayland-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 wayland HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 wayland.

Package: qt6-wayland-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 wayland examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt wayland submodule.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtwayland-everywhere-src-(.*)\.tar\.xz
